TAAS - Feature #491

AMEX File Generation
01/25/2025 03:35 PM - Arathy PS

Status: Coding Started Start date: 01/25/2025
Priority: Normal Due date:

Assignee: Junaid M % Done: 30%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: AMEX File Generation

Description

History

#1 - 01/25/2025 03:36 PM - Arathy PS

=>Menu —-> More -> AMEX-BTA
=>GUI

—> Date*R

-> OK button

=>Right side main buttons

—>I-File —> Title->Invoice File - Corporate Card Pay to Supplier -> <i class="fa fa-file-o" aria-hidden="true"
></i> Download file
->C-File —-> Title->Charge File - Corporate Card Pay to Travel Agency —> <i class="fa fa-file-o" aria-hidden="t

rue"></i> Download File

-> Send -> <i class="fa fa-share-square-o" aria-hidden="true"></i>
—>New

—>Reset

->Tabl -> Invoice File

—>List
-Grouping No Grouping, Sale/Refund, Sale/Refund/Conjunction, Sent/Not Sent/Error, Service
* Ref AMEX document (Junide) + | Status(Sent or Not Sent) | Sent Date & Time | Last Modified Date & Time | redi

rect icon - document history

—->Tab2 -> Charge File

—>List
-Grouping No Grouping, Sale/Refund, Sale/Refund/Conjunction, Sent/Not Sent/Error, Service
* Ref AMEX document (Junide) + | Status(Sent or Not Sent) | Sent Date & Time | Last Modified Date & Time | redi

rect icon - document history

—->Tab3 -> Other Documents
->List
- Date | Document No | Debit | Credit | Reference | Narration

=> Table
CREATE TABLE amex.tbl_amex_file_generation (
pk_amex_file_generation_id BIGSERIAL PRIMARY KEY,

dat_transaction DATE,
sin_file_type SMALLINT DEFAULT 1, --1l=Invoice File, 2=Charge File
vhr_file_name VARCHAR (500) DEFAULT '',

bin_sale_item_count BIGINT DEFAULT O,
bin_sale_conjunction_count BIGINT DEFAULT O,
bin_refund_item_count BIGINT DEFAULT O,
bin_refund_conjunction_count BIGINT DEFAULT O,

sin_status SMALLINT DEFAULT 1,--1=Sent, 0=Not Sent, -1=Error

txt_sys_error TEXT DEFAULT '',
txt_error TEXT DEFAULT ''

) INHERITS (tbl_action_user_and_date_time);
CREATE TABLE amex.tbl_amex_file_gen_details (

pk_amex_file_gen_details_id BIGSERIAL PRIMARY KEY,
fk_amex_file_generation_id BIGINT NOT NULL REFERENCES amex.tbl_amex_file_generation (pk_amex_file_generatio

n_id),

sin_sale_or_refund SMALLINT DEFAULT 1, --1=Sale,
fk_supp_doc_no_id BIGINT NOT NULL REFERENCES service.tbl_supp_doc_no (pk_supp_doc_no_id),

dbl_amount DOUBLE PRECISION DEFAULT 0.0,

int_current_doc_sys_action_id INT DEFAULT O NOT NULL -- Edit or not after File gen

)i

#2 - 01/27/2025 10:28 AM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Shilpa Pavithran

- % Done changed from 0 to 20

#3 - 02/04/2025 10:13 AM - Junaid M

- File BTA File Specification AEME Version 1 0 May 2013.doc added

- File Charge Sample(USD) added
- File Invoice Sample(USD) added

#4 - 02/10/2025 11:14 AM - Anil KV

- Assignee changed from Shilpa Pavithran to Junaid M

#5 - 03/11/2025 10:00 AM - Junaid M
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 03/11/2025 10:01 AM - Junaid M
- File Infos.txt added
- File AUTH CODE MAPPING.docm added

- File BTA TESTING FINAL SETUP_VICTORIA TRAVELS - BTA.doc added

- File Infos.txt added
- File Live Testing_VICTORIA TRAVELS - BTA.xls added

Live Test Account Created By Amex Team
Generate AMEX file for testing
Sheet Passwords: amex123

#7 - 03/11/2025 10:02 AM - Junaid M
- File deleted (Infos.txt)

—1=Refund

Files

Charge Sample(USD) 13.4 KB 02/04/2025 Junaid M
Invoice Sample(USD) 4.11 KB 02/04/2025 Junaid M
BTA File Specification AEME Version 1 0 May 2013.doc 1.23 MB 02/04/2025 Junaid M
Infos.txt 24 Bytes 03/11/2025 Junaid M
AUTH CODE MAPPING.docm 236 KB 03/11/2025 Junaid M
BTA TESTING FINAL SETUP_VICTORIA TRAVELS - BTA.doc 251 KB 03/11/2025 Junaid M
Live Testing_VICTORIA TRAVELS - BTA.xls 32.5 KB 03/11/2025 Junaid M
